/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.db.Partition;


/**
 * 叶子节点当日新增用例数据
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-12-21 16:29:21  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "叶子节点当日新增用例数据")
public class MtLeafDesign extends Partition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_design = "design";
  public static final String KEY_finish = "finish";
  public static final String KEY_treeName = "treeName";
  public static final String KEY_proId = "proId";

  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-id: 数据长度不能 > 50" )
  private String id;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  @Size(max = 50, message="创建时间-createdTime: 数据长度不能 > 50" )
  private String createdTime;
  /**
   * 设计中<br>
   */
  @ApiModelProperty("设计中")
  private Integer design;
  /**
   * 已完成<br>
   */
  @ApiModelProperty("已完成")
  private Integer finish;
  /**
   * 目录名称<br>
   */
  @ApiModelProperty("目录名称")
  @Size(max = 50, message="目录名称-treeName: 数据长度不能 > 50" )
  private String treeName;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 50, message="系统id-proId: 数据长度不能 > 50" )
  private String proId;

  /**
   * <br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 创建时间<br>
   */
  public String getCreatedTime()
  {
      return createdTime;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(String createdTime)
  {
      this.createdTime = createdTime;
    }
  /**
   * 设计中<br>
   */
  public Integer getDesign()
  {
      return design;
    }

  /**
   * 设计中<br>
   *
   * @param design 设计中
   */
  public void setDesign(Integer design)
  {
      this.design = design;
    }
  /**
   * 已完成<br>
   */
  public Integer getFinish()
  {
      return finish;
    }

  /**
   * 已完成<br>
   *
   * @param finish 已完成
   */
  public void setFinish(Integer finish)
  {
      this.finish = finish;
    }
  /**
   * 目录名称<br>
   */
  public String getTreeName()
  {
      return treeName;
    }

  /**
   * 目录名称<br>
   *
   * @param treeName 目录名称
   */
  public void setTreeName(String treeName)
  {
      this.treeName = treeName;
    }
  /**
   * 系统id<br>
   */
  public String getProId()
  {
      return proId;
    }

  /**
   * 系统id<br>
   *
   * @param proId 系统id
   */
  public void setProId(String proId)
  {
      this.proId = proId;
    }

  public MtLeafDesign()
  {
  }

}
